import { IncludedDependencies, ProjectManifest } from '@pnpm/types';
import { OutdatedCommandOptions, OutdatedPackageJSONOutput } from './outdated';
export declare function outdatedRecursive(pkgs: Array<{
    dir: string;
    manifest: ProjectManifest;
}>, params: string[], opts: OutdatedCommandOptions & {
    include: IncludedDependencies;
}): Promise<{
    output: string;
    exitCode: number;
}>;
export interface OutdatedPackageInWorkspaceJSONOutput extends OutdatedPackageJSONOutput {
    dependentPackages: Array<{
        name: string;
        location: string;
    }>;
}
